Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionAutoFormat

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionAutoFormat

public class RevisionAutoFormat extends Object
The Class RevisionAutoFormat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionAutoFormat()`
  Instantiates a new revision auto format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionAutoFormat`
  `clone()`
  `int`
  `getAutoFormatID()`
  Gets the auto format id.
  `String`
  `getReference()`
  Gets the reference.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `boolean`
  `isApplyAlignmentFormats()`
  Checks if is apply alignment formats.
  `boolean`
  `isApplyBorderFormats()`
  Checks if is apply border formats.
  `boolean`
  `isApplyFontFormats()`
  Checks if is apply font formats.
  `boolean`
  `isApplyNumberFormats()`
  Checks if is apply number formats.
  `boolean`
  `isApplyPatternFormats()`
  Checks if is apply pattern formats.
  `boolean`
  `isApplyWidthHeightFormats()`
  Checks if is apply width height formats.
  `void`
  `setApplyAlignmentFormats​(boolean applyAlignmentFormats)`
  Sets the apply alignment formats.
  `void`
  `setApplyBorderFormats​(boolean applyBorderFormats)`
  Sets the apply border formats.
  `void`
  `setApplyFontFormats​(boolean applyFontFormats)`
  Sets the apply font formats.
  `void`
  `setApplyNumberFormats​(boolean applyNumberFormats)`
  Sets the apply number formats.
  `void`
  `setApplyPatternFormats​(boolean applyPatternFormats)`
  Sets the apply pattern formats.
  `void`
  `setApplyWidthHeightFormats​(boolean applyWidthHeightFormats)`
  Sets the apply width height formats.
  `void`
  `setAutoFormatID​(int autoFormatID)`
  Sets the auto format id.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionAutoFormat

    public RevisionAutoFormat()
    Instantiates a new revision auto format.

- ## Method Details

  - ### clone

    public RevisionAutoFormat clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isApplyAlignmentFormats

    public boolean isApplyAlignmentFormats()
    Checks if is apply alignment formats.
    Returns:
      true, if is apply alignment formats

  - ### setApplyAlignmentFormats

    public void setApplyAlignmentFormats​(boolean applyAlignmentFormats)
    Sets the apply alignment formats.
    Parameters:
      `applyAlignmentFormats` - the new apply alignment formats

  - ### isApplyBorderFormats

    public boolean isApplyBorderFormats()
    Checks if is apply border formats.
    Returns:
      true, if is apply border formats

  - ### setApplyBorderFormats

    public void setApplyBorderFormats​(boolean applyBorderFormats)
    Sets the apply border formats.
    Parameters:
      `applyBorderFormats` - the new apply border formats

  - ### isApplyFontFormats

    public boolean isApplyFontFormats()
    Checks if is apply font formats.
    Returns:
      true, if is apply font formats

  - ### setApplyFontFormats

    public void setApplyFontFormats​(boolean applyFontFormats)
    Sets the apply font formats.
    Parameters:
      `applyFontFormats` - the new apply font formats

  - ### isApplyNumberFormats

    public boolean isApplyNumberFormats()
    Checks if is apply number formats.
    Returns:
      true, if is apply number formats

  - ### setApplyNumberFormats

    public void setApplyNumberFormats​(boolean applyNumberFormats)
    Sets the apply number formats.
    Parameters:
      `applyNumberFormats` - the new apply number formats

  - ### isApplyPatternFormats

    public boolean isApplyPatternFormats()
    Checks if is apply pattern formats.
    Returns:
      true, if is apply pattern formats

  - ### setApplyPatternFormats

    public void setApplyPatternFormats​(boolean applyPatternFormats)
    Sets the apply pattern formats.
    Parameters:
      `applyPatternFormats` - the new apply pattern formats

  - ### isApplyWidthHeightFormats

    public boolean isApplyWidthHeightFormats()
    Checks if is apply width height formats.
    Returns:
      true, if is apply width height formats

  - ### setApplyWidthHeightFormats

    public void setApplyWidthHeightFormats​(boolean applyWidthHeightFormats)
    Sets the apply width height formats.
    Parameters:
      `applyWidthHeightFormats` - the new apply width height formats

  - ### getAutoFormatID

    public int getAutoFormatID()
    Gets the auto format id.
    Returns:
      the auto format id

  - ### setAutoFormatID

    public void setAutoFormatID​(int autoFormatID)
    Sets the auto format id.
    Parameters:
      `autoFormatID` - the new auto format id

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference